Skip to content

OLT Service Port ​

14 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
editAutoServicePortPOSTBatch modify auto service port
getAutoServicePortListGETGet auto service port list
getAutoServicePortConfigPageGETGet auto service port config page
getAutoRefreshConfigGETGet auto refresh config
editAutoRefreshConfigPOSTModify an existing auto refresh config
clearStatisticInfoPOSTBatch delete existing statistic info
getStatisticInfoDetailGETGet statistic info detail
getStatisticInfoListGETGet statistic info list
getStatisticInfoPageGETGet statistic info page
addServicePortPOSTCreate new service port
deleteServicePortPOSTBatch delete existing service port
editServicePortPOSTModify an existing service port
getServicePortListGETGet service port list
getServicePortPageGETGet service port page

editAutoServicePort ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/auto-service-ports/edit

Batch modify auto service port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required)

Type: array<AutoServicePortDTO>

json
// omada_call_operation
{
  "operationId": "editAutoServicePort",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch modify auto service port
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getAutoServicePortList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/auto-service-ports/list

Get auto service port list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryAutoServicePortQueryDTOnoObject: its fields (searchKey, sorts, size, number, searchField) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getAutoServicePortList",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get auto service port list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getAutoServicePortConfigPage ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/auto-service-ports/page

Get auto service port config page

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryAutoServicePortQueryDTOnoObject: its fields (searchKey, sorts, size, number, searchField) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getAutoServicePortConfigPage",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get auto service port config page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getAutoRefreshConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/service-port/statistic/configs

Get auto refresh config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getAutoRefreshConfig",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get auto refresh config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

editAutoRefreshConfig ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/service-port/statistic/configs/edit

Modify an existing auto refresh config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema StatisticConfigDTO

FieldTypeRequiredDescription
autoRefreshstringnoAutoRefresh should be a value as follows:DISABLE,ENABLE
refreshIntervalintegernoRefreshInterval should be within the range of 3 to 300
json
// omada_call_operation
{
  "operationId": "editAutoRefreshConfig",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing auto refresh config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

clearStatisticInfo ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/service-port/statistics/clear

Batch delete existing statistic info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema IntIdListRequest

FieldTypeRequiredDescription
idsarray<integer>yesID list
json
// omada_call_operation
{
  "operationId": "clearStatisticInfo",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch delete existing statistic info
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getStatisticInfoDetail ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/service-port/statistics/detail

Get statistic info detail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryStatisticInfoDetailQueryDTOnoObject: its fields (servicePortIndex) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getStatisticInfoDetail",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get statistic info detail
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getStatisticInfoList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/service-port/statistics/list

Get statistic info list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryStatisticInfoQueryDTOnoObject: its fields (searchKey, sorts, size, number) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getStatisticInfoList",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get statistic info list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getStatisticInfoPage ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/service-port/statistics/page

Get statistic info page

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryStatisticInfoQueryDTOnoObject: its fields (searchKey, sorts, size, number) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getStatisticInfoPage",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get statistic info page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

addServicePort ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/service-ports/add

Create new service port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ServicePortAddDTO

FieldTypeRequiredDescription
ponPortIdintegernoPonPortId should be within the range of 1 to 16
ponPortStrstringnoString form of pon port
svlanintegernoSVlan should be within the range of 1 to 4095
gemPortIdintegernoGemPortId should be within the range of 1 to 1023
userVlanintegernoUserVlan should be within the range of 0 to 4095
userVlanPriorityintegernoUserVlanPriority should be within the range of -1 to 7
tagActionstringnoTagAction should be a value as follows:DEFAULT,TRANSPARENT,TRANSLATE,TRANSLATE_AND_ADD,ADD_DOUBLE
innerVlanintegernoInnerVlan should be within the range of 0 to 4095
innerVlanPriorityintegernoInnerVlanPriority should be within the range of -1 to 7
etherTypestringnoEtherType should be a value as follows:NONE,IPV4OE,IPV6OE,PPPOE
inboundTrafficProfileIdintegernoInboundTrafficProfileId should be within the range of 0 to 512
outboundTrafficProfileIdintegernoOutboundTrafficProfileId should be within the range of 0 to 512
indexintegernoID of service port.Index should be within the range of 1 to 8100
batchConfigbooleanyesWhether it is batch addition.Default value:false
descriptionstringnoDescription of service port.Description should be 1-32 characters, including letters, numbers, and symbols (-@_😕.).
onuIdstringyesOnuId should be within the range of 0 to 127
adminStatusstringyesThe enable status of the service flows matched by this Service Port. AdminStatus should be a value as follows: DISABLE,ENABLE. Default value: ENABLE.
statisticPerformancestringyesThe traffic statistics switch status for the service flows matched by this Service Port. StatisticPerformance should be a value as follows: DISABLE,ENABLE. Default value: DISABLE.
json
// omada_call_operation
{
  "operationId": "addServicePort",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new service port
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

deleteServicePort ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/service-ports/delete

Batch delete existing service port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema IntIdListRequest

FieldTypeRequiredDescription
idsarray<integer>yesID list
json
// omada_call_operation
{
  "operationId": "deleteServicePort",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch delete existing service port
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

editServicePort ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/service-ports/edit

Modify an existing service port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ServicePortModifyDTO

FieldTypeRequiredDescription
ponPortIdintegernoPonPortId should be within the range of 1 to 16
ponPortStrstringnoString form of pon port
svlanintegernoSVlan should be within the range of 1 to 4095
gemPortIdintegernoGemPortId should be within the range of 1 to 1023
userVlanintegernoUserVlan should be within the range of 0 to 4095
userVlanPriorityintegernoUserVlanPriority should be within the range of -1 to 7
tagActionstringnoTagAction should be a value as follows:DEFAULT,TRANSPARENT,TRANSLATE,TRANSLATE_AND_ADD,ADD_DOUBLE
innerVlanintegernoInnerVlan should be within the range of 0 to 4095
innerVlanPriorityintegernoInnerVlanPriority should be within the range of -1 to 7
etherTypestringnoEtherType should be a value as follows:NONE,IPV4OE,IPV6OE,PPPOE
inboundTrafficProfileIdintegernoInboundTrafficProfileId should be within the range of 0 to 512
outboundTrafficProfileIdintegernoOutboundTrafficProfileId should be within the range of 0 to 512
indexintegeryesService port ID should be within the range of 1 to 8100
descriptionstringnoDescription of service port.Description should contain 1 to 32 characters including numbers, Upper and lower letters, -@_😕. .
onuIdintegeryesOnu ID should be within the range of 0 to 127
adminStatusstringyesThe enable status of the service flows matched by this Service Port. AdminStatus should be a value as follows: DISABLE,ENABLE. Default value: ENABLE.
statisticPerformancestringyesThe traffic statistics switch status for the service flows matched by this Service Port. StatisticPerformance should be a value as follows: DISABLE,ENABLE. Default value: DISABLE.
json
// omada_call_operation
{
  "operationId": "editServicePort",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing service port
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getServicePortList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/service-ports/list

Get service port list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryServicePortQueryDTOnoObject: its fields (searchKey, sorts, size, number, searchField) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getServicePortList",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get service port list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getServicePortPage ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/service-ports/page

Get service port page

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryServicePortQueryDTOnoObject: its fields (searchKey, sorts, size, number, searchField) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getServicePortPage",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get service port page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.